/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed&display=swap');

@font-face {
    font-family: 'ElegantScriptPro';
    src: url('../fonts/ElegantScriptPro.woff2') format('woff2'), url('../fonts/ElegantScriptPro.woff') format('woff');
}

.navbar-full-menu:after {
    height: 0;
}

.detail-info__value .red {
    color: #DC143C;
}

.custom-radio .custom-control-input:checked~.custom-control-label:after {
    opacity: 1;
    background: #b3a17d;
}

.custom-checkbox .custom-control-input:checked~.custom-control-label svg {
    opacity: 1;
}

.custom-checkbox input~span, .form-control-select select~span {
    display: none;
}
.custom-checkbox-show-error input~span {
    display: block;
    text-align: center;
}

#snippet-shippingAndPaymentForm-shippingForm .custom-control__row span,
#snippet-shippingAndPaymentForm-paymentForm .custom-control__row span {
    display: none;
}

.errors {
    color: red;
}

.cart-item__product img {
    width: 150px;
    height: 150px;
    object-fit: contain;
}

span.help-block.text-danger {
    margin-left: -10px;
}

.navbar-sub__nav--no-sub-category {
    padding: 0 !important;
}

.overlay {
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0px;
    left: 0px;
    display: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    background-color: rgba(0,0,0,0.3);
    /* background-color: rgba(255,255,255,0.9); */
    align-items: center;
    justify-content: center;
    z-index: 10000;
}

.dialog-modal {
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    text-align: center;
    width: 520px;
    max-width: 100%;
    height: auto;
    background-color: #fff;
    box-shadow: 0px 0px 180px 0px rgba(0,0,0,0.3);
    padding: 20px;
    display: flex;
}

.dialog-modal__message {
    margin: 20px;
}

.carousel--single-product .flickity-button {
    display: none !important;
}

.card-infographics .card img {
    width: 86px;
    height: 64px;
    margin-bottom: 2.5rem;
}

.card-infographics .card h6 {
    min-height: 100px;
}

@media (min-width: 75em)
{
    .jewelry-banner-text {
        padding: 0 0 20px 60px !important;
        right: 0 !important;
        left: auto !important;
        width: 75% !important;
    }
}

.hero__img::before {
    background: none;
}

.card-info .card-img-top {
    position: relative !important;
}

.btn-no-icon span {
    margin-left: 0;
}

.navbar-full-list-flex
{
    display: flex;
}

.navbar-full-list-flex ul {
    margin-top: 10px;
}

.product-configurator-parameters {
    text-align: left;
    margin-left: 26px;
    margin-top: 8px;
}

#sampleFontTextMan, #sampleFontTextWoman {
    font-size: 1.5em;
}

.product-configurator-sample-font-font1 {
    font-family: 'ElegantScriptPro', sans-serif;
}

.product-configurator-sample-font-font2 {
    font-family: 'Barlow Semi Condensed', sans-serif;
}

.qs-active, .qs-range-end, .qs-range-start {
    background: #333!important;
    color: #fff;
}

.qs-current {
    background: #b3a17d;
    color: #fff;
    text-decoration: none!important;
    font-weight: normal!important;
}

.qs-controls {
    background: #fff!important;
    padding: 8px 0;
}

.qs-arrow.qs-right:after {
    border-left-color: #333!important;
}

.qs-arrow.qs-left:after {
    border-right-color: #333!important;
}

.qs-day {
    color: #333!important;
}

.qs-square:not(.qs-empty):not(.qs-disabled):not(.qs-day):not(.qs-active):hover {
    background: #eee!important;
}
.card-product__top-bar .btn-wrapper-black {
    padding-top: 25px;
}

.section--no-top-padding {
    padding-top: 0;
}

/* @todo Poznámka - toto způsobuje deformoci fotek, ale nelze zatím odstranit, neboť by se zvětšeli fotky */
.cart-item__product img {
    width: 140px;
    height: 140px;
    padding: 5px;
}

.card-product__top-bar .btn-black {
    display: inline-block;
    margin-top: 0;
}

.card-product__top-bar .total-found-count {
    display: inline-block;
    font-size: 90%;
    color: #808080;
    padding-left: 15px;
}

.product-note {
    width: 100%;
    min-height: 60px;
}

.product-note textarea {
    resize: vertical;
}

.filter-top-checks {
    flex-wrap: wrap;
    justify-content: center;
}
.detail-info__icon {
    max-width: 100px;
    height: 100px;
    align-self: center;
}

.detail-info__icontext {
    color: #b3a17d;
    font-size: 175%;
    font-style: italic;
    font-weight: 700;
}

.card-product__new {
    display: flex;
    position: absolute;
    top: 20px;
    left: 20px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    color: white;
    font-weight: 700;
    font-style: italic;
    background: #b3a17d;
    justify-content: center;
    align-items: center;
    z-index: 10;
}

@media (min-width: 48em) {
    .detail-info__icontext {
        font-size: 200%;
    }
}

.detail-info__row--additional-info {
    flex-direction: row;
    align-items: center;
}


.detail-info__row--gift {
    position: relative;
    margin: 25px 0;
    padding: 25px 25px 20px 25px;
    border: #b3a17d 1px solid;
    flex-direction: row;
    align-items: center;
}

.detail-info__row--gift .gifttext {
    position: absolute;
    top: 0;
    left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    margin-top: -12px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 20px;
    padding-right: 20px;
    background: white;
    font-weight: bold;
}

.detail-info__row--gift hr {
    border-color: #b3a17d;
}

.detail-info__row--gift__product {
    display: flex;
}

.detail-info__row--gift__product img {
    max-width: 150px;
    max-height: 80px;
    margin: 0 30px 0 0;
}

.detail-info__row--gift__product div {
    align-self: center;
}

.detail-info__row--gift__product div strong{
    font-size: 16px;
}

.detail-info__icons {
    display: flex;
    flex-wrap: wrap;
}

.detail-info__ico {
    display: flex;
    flex: 0 0 50%;
    margin-bottom: 10px;
}

.detail-info__ico div {
    align-self: center;
    color: #b3a17d;
    font-weight: bold;
}

.detail-info__ico img {
   width: 30px;
   height: 30px;
}

.detail-info__row--additional-info .detail-info__property {
    width: 158px;
}

.brandimage {
    width: 200px;
    height: 200px;
}

.card-product__img .carousel-image picture {
    max-height: 100%;
    max-width: 100%;
    height: auto;
}

.card-product__img .carousel-image img {
    max-height: 230px;
}

@media (max-width: 570px) {
    .card-product__img .carousel-image img {
        max-height: 160px;
    }
}

.carousel--brand .flickity-viewport {
    height: 84px!important;
}

.alert {
    width: 80%;
    padding: 16px;
    color: #fff;
    border-radius: 8px;
    margin: auto;
}

.alert-danger {
    background: #e04a4a
}

.alert-success {
    background: #b3a17d;
}

.alert-info {
    background: #b3a17d;
}

.order-review-form .rating {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-gap: 10px;
}

.order-review-form .rating .rating-img {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    width: 100%;
    height: auto;
    cursor: pointer;
}
.order-review-form .rating .rating-text {
    font-weight: 700;
    line-height: 1.625;
    margin-bottom: 9px;
    text-align: left;
    font-size: .875rem;
}

.order-review-form .rating .rating-img:hover img, .order-review-form .rating .selected img {
    border: 1px solid rgba(179, 161, 125, 0.1);
    background-color: rgba(179, 161, 125, 0.1);
}

.rating-svg {
    max-width: 100px;
}


/* Column layout on small screens */
@media screen and (max-width: 768px) {
    .order-review-form .rating {
        grid-template-columns: repeat(2, 1fr);
    }

    .order-review-form .rating .rating-img {
        margin: 0 auto;
    }

    .order-review-form .rating-img__mobile {
        margin-left: 50% !important;
    }
}

.carousel-wrapper--hero .dot.is-selected:after {
    animation-duration: 3s !important;
}

.form-control--number::-webkit-inner-spin-button,
.form-control--number::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}